Package com.emc.d2fs.models.dialog

# Class Dialog

java.lang.Object
com.emc.d2fs.models.dialog.Dialog

All Implemented Interfaces:
  `Serializable`

public class Dialog extends Object implements Serializable

Java class for dialog complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="dialog">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="xmlData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="xmlContent" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="jsonContent" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dialog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJsonContent()`
  Gets the value of the jsonContent property.
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `String`
  `getXmlContent()`
  Gets the value of the xmlContent property.
  `byte[]`
  `getXmlData()`
  Gets the value of the xmlData property.
  `void`
  `setJsonContent(String value)`
  Sets the value of the jsonContent property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.
  `void`
  `setXmlContent(String value)`
  Sets the value of the xmlContent property.
  `void`
  `setXmlData(byte[] value)`
  Sets the value of the xmlData property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Dialog

    public Dialog()

- ## Method Details

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getXmlData

    public byte[] getXmlData()
    Gets the value of the xmlData property.
    Returns:
      possible object is byte[]

  - ### setXmlData

    public void setXmlData(byte[] value)
    Sets the value of the xmlData property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getXmlContent

    public String getXmlContent()
    Gets the value of the xmlContent property.
    Returns:
      possible object is `String`

  - ### setXmlContent

    public void setXmlContent(String value)
    Sets the value of the xmlContent property.
    Parameters:
      `value` - allowed object is `String`

  - ### getJsonContent

    public String getJsonContent()
    Gets the value of the jsonContent property.
    Returns:
      possible object is `String`

  - ### setJsonContent

    public void setJsonContent(String value)
    Sets the value of the jsonContent property.
    Parameters:
      `value` - allowed object is `String`